openbsd-ports/net/icb/pkg/INSTALL
brad 7982812431 - ${SED} -> sed
- cleanup Makefile
- make this port respect CC and CFLAGS
- fix port so it'll work in package form
1999-12-14 04:17:14 +00:00

69 lines
1.5 KiB
Plaintext

#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 1999/12/14 04:17:15 brad Exp $
#
# Pre/post-installation setup of icb
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${PREFIX}/lib/icbserverdb
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, ${PREFIX}/lib/icb/sample.icbserverdb,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install the system icb config file from the sample
#
do_install()
{
cp ${PREFIX}/lib/icb/sample.icbserverdb ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs"
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0